Skip to content

Payment

Request

Path Parameters

sid
string
Required
EVO Cloud assigned store number, unique identifier for store.

Header Parameters

Authorization
string
Required
signature value
Content-type
string
Required
Specify application/json; charset=utf-8, which means the message body of the request and response must be in the JSON format, and the character encoding is UTF-8. It will be echoed back in the response message.
DateTime
string
Required
The time when the message is sent. The format follows ISO 8601, which is YYYY-MMDDThh:mm:ssTZD. For example, 2021-05-26T10:08:25+08:00. It will be echoed back in the response message.
KeyID
string
KeyID is a unique key identifier of up to 32 characters that is generated along with the signature key, and is only mandatory if the store is configured to use multi-level keys instead of just using store-level key.
MsgID
string
Required
An ID for a merchant to trace every API request. The suggested value is UUID or GUID, such as 2d21a5715c034efb7e0aa383b885fc7a. It is suggested to specify this value with no more than 32 characters in length. EVO Cloud will not validate this value and will echo it back in the response message. - Usage Instruction 1. Field Type: String(1024)
SignType
string
Required
SHA256, SHA512, HMAC-SHA256, HMAC-SHA512 The method of the message being signed. It can be SHA256, SHA512, HMAC-SHA256 or HMAC-SHA512.
Idempotency-Key
string
Request idempotent identity, no more than 64 characters.

Query Parameters

merchantTransID
string<= 32 characters
Required
The merchantTransInfo.merchantTransID of the initial request. - Usage Instruction 1. For POST Capture, Refund, Cancel and DataSubmission. This field is the merchantTransInfo.merchantTransID of the initial Payment Request. 2. For PUT and GET request. This field is the merchantTransInfo.merchantTransID of the initial POST request. 3. Field type: String(32)

Request Body schema

action
object
This object is to define the next step action for merchant or EVO cloud, with the related data when performing the action
authentication
object
The information used for User authentication with Card - Usage Instruction 1. EVO Cloud supports securePlue and threeDS authentication types
metadata
string<= 512 characters
This field is used for merchant to state reference information - Usage Instruction 1. If merchant sends this field in the request message, EVO Cloud will echo it back in the response 2. Field Type: String(512)

Responses

Try it
Server
https://online-uat.everonet.com
Path Parameters
Header Parameters
Query Parameters
Request Body Parameters
Request Samples
cURL
curl -i -X PUT \
'https://online-uat.everonet.com/g2/v1/payment/mer/{sid}/payment?merchantTransID=string' \
 -H 'Authorization: string' \
 -H 'Content-type: application/json' \
 -H 'DateTime: string' \
 -H 'KeyID: string' \
 -H 'MsgID: string' \
 -H 'SignType: string' \
 -H 'Idempotency-Key: string' \
 -d '"\"authentication\": {\r\n        \"threeDS\": {\r\n                \"redirectData\": {\r\n                        \"threeDSCompInd\": \"Y\"\r\n                }\r\n        }\r\n}"'
JavaScript
const query = new URLSearchParams({
  "merchantTransID": "string"
}).toString()

const sid = 'YOUR_sid_PARAMETER';
fetch(
`https://online-uat.everonet.com/g2/v1/payment/mer/${sid}/payment?${query}`,
{
  method: 'put',
  headers: {
  'Authorization': 'string',
  'Content-type': 'application/json',
  'DateTime': 'string',
  'KeyID': 'string',
  'MsgID': 'string',
  'SignType': 'string',
  'Idempotency-Key': 'string'
},
  body: '"\"authentication\": {\r\n        \"threeDS\": {\r\n                \"redirectData\": {\r\n                        \"threeDSCompInd\": \"Y\"\r\n                }\r\n        }\r\n}"'
})
  .then(response => response.json())
  .then(data => console.log(data));
Response Samples
application/json
json